summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Mikko Värri2014-01-12 01:45:32 +0100
committer Erik Hanson2014-01-30 06:20:59 +0100
commit5d8b119c9d49f58f9dc44831d46be92e773b49b6 (patch)
treefe4b3ccb394f28aebf00d18ed51044d7facb3f22 /perl
parenta916820c771600322fb8665b334a336cb9b5cef3 (diff)
downloadslackbuilds-5d8b119c9d49f58f9dc44831d46be92e773b49b6.tar.gz
perl/perl-Proc-ProcessTable: Added (Process table Perl extension).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-Proc-ProcessTable/README8
-rw-r--r--perl/perl-Proc-ProcessTable/perl-Proc-ProcessTable.SlackBuild84
-rw-r--r--perl/perl-Proc-ProcessTable/perl-Proc-ProcessTable.info10
-rw-r--r--perl/perl-Proc-ProcessTable/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/perl/perl-Proc-ProcessTable/README b/perl/perl-Proc-ProcessTable/README
new file mode 100644
index 0000000000..39c5efacd3
--- /dev/null
+++ b/perl/perl-Proc-ProcessTable/README
@@ -0,0 +1,8 @@
+This module is a first crack at providing a consistent interface to
+Unix (and maybe other multitasking OS's) process table information.
+
+This is mainly for other Perl programs, but there is also a command
+line tool pswait which takes a list of process IDs or names and then
+waits for one or all of them to end. This is useful for scripts
+dealing with process pools or concurrent pipelines.
+
diff --git a/perl/perl-Proc-ProcessTable/perl-Proc-ProcessTable.SlackBuild b/perl/perl-Proc-ProcessTable/perl-Proc-ProcessTable.SlackBuild
new file mode 100644
index 0000000000..d4f09a7bff
--- /dev/null
+++ b/perl/perl-Proc-ProcessTable/perl-Proc-ProcessTable.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for Proc-ProcessTable
+
+# Copyright 2014 Mikko Värri, Finland
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Proc-ProcessTable
+VERSION=${VERSION:-0.50}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes PORTING README README.* TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Proc-ProcessTable/perl-Proc-ProcessTable.info b/perl/perl-Proc-ProcessTable/perl-Proc-ProcessTable.info
new file mode 100644
index 0000000000..30ee259746
--- /dev/null
+++ b/perl/perl-Proc-ProcessTable/perl-Proc-ProcessTable.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Proc-ProcessTable"
+VERSION="0.50"
+HOMEPAGE="http://search.cpan.org/~jwb/Proc-ProcessTable/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/J/JW/JWB/Proc-ProcessTable-0.50.tar.gz"
+MD5SUM="3b21edabad48989c44d784f2059f3837"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Mikko Värri"
+EMAIL="vmj@linuxbox.fi"
diff --git a/perl/perl-Proc-ProcessTable/slack-desc b/perl/perl-Proc-ProcessTable/slack-desc
new file mode 100644
index 0000000000..c002bdc319
--- /dev/null
+++ b/perl/perl-Proc-ProcessTable/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Proc-ProcessTable: perl-Proc-ProcessTable (Perl extension to access the process table)
+perl-Proc-ProcessTable:
+perl-Proc-ProcessTable: This module is a first crack at providing a consistent interface to
+perl-Proc-ProcessTable: Unix (and maybe other multitasking OS's) process table information.
+perl-Proc-ProcessTable:
+perl-Proc-ProcessTable: This is mainly for other Perl programs, but there is also a command
+perl-Proc-ProcessTable: line tool pswait which takes a list of process IDs or names and then
+perl-Proc-ProcessTable: waits for one or all of them to end. This is useful for scripts
+perl-Proc-ProcessTable: dealing with process pools or concurrent pipelines.
+perl-Proc-ProcessTable:
+perl-Proc-ProcessTable: